FROM bitnami/dotnet-sdk:7.0.403
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone
COPY server /go/bin/
COPY config.yaml /go/bin/
RUN chmod +x /go/bin/server
WORKDIR /go/bin/
COPY data.zip /go/bin
CMD ["/go/bin/server"]